# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Namespaces | Enumerations
dirac_byte_stats.h File Reference
`#include <map>`
`#include <climits>`
`#include <libdirac_common/dirac_inttypes.h>`

Go to the source code of this file.

## Classes
class | dirac::DiracByteStats
| Class DiracByteStats - for collecting statistics on aspects of the Dirac byte-stream. More...

## Namespaces
namespace | dirac
| Definition of class SequenceHeaderByteIO.

## Enumerations
enum | dirac::StatType { dirac::STAT_TOTAL_BYTE_COUNT = 0, dirac::STAT_MV_BYTE_COUNT, dirac::STAT_YCOMP_BYTE_COUNT, dirac::STAT_UCOMP_BYTE_COUNT, dirac::STAT_VCOMP_BYTE_COUNT }

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.